McElieceKeyPairGeneratorTest (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.pqc.jcajce.provider.test

## Class McElieceKeyPairGeneratorTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.pqc.jcajce.provider.test.FlexiTest
      - - org.bouncycastle.pqc.jcajce.provider.test.KeyPairGeneratorTest
        - - org.bouncycastle.pqc.jcajce.provider.test.McElieceKeyPairGeneratorTest

- All Implemented Interfaces:
    junit.framework.Test

      public class McElieceKeyPairGeneratorTest
      extends KeyPairGeneratorTest

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.pqc.jcajce.provider.test.KeyPairGeneratorTest

      `kf, kpg`

    - ### Fields inherited from class org.bouncycastle.pqc.jcajce.provider.test.FlexiTest

      `rand, sr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `McElieceKeyPairGeneratorTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `void` | `testKeyPairEncoding_9_33()`

    - ### Methods inherited from class org.bouncycastle.pqc.jcajce.provider.test.KeyPairGeneratorTest

      `performKeyPairEncodingTest`

    - ### Methods inherited from class org.bouncycastle.pqc.jcajce.provider.test.FlexiTest

      `assertEquals, assertEquals, assertEquals, assertEquals, fail`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### McElieceKeyPairGeneratorTest

          public McElieceKeyPairGeneratorTest()

  - ### Method Detail

    - #### setUp

          protected void setUp()

      Overrides:
        `setUp` in class `FlexiTest`

    - #### testKeyPairEncoding_9_33

          public void testKeyPairEncoding_9_33()
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`